cascading.tuple.hadoop

## Class BytesSerialization.RawBytesDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.BytesSerialization.RawBytesDeserializer

- All Implemented Interfaces:
    org.apache.hadoop.io.serializer.Deserializer<byte[]>
  Enclosing class:
    BytesSerialization

      public static class BytesSerialization.RawBytesDeserializer
      extends java.lang.Object
      implements org.apache.hadoop.io.serializer.Deserializer<byte[]>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesSerialization.RawBytesDeserializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `byte[]` | `deserialize(byte[] existing)`
    `void` | `open(java.io.InputStream in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesSerialization.RawBytesDeserializer

          public BytesSerialization.RawBytesDeserializer()

  - ### Method Detail

    - #### open

          public void open(java.io.InputStream in)
                    throws java.io.IOException

      Specified by:
        `open` in interface `org.apache.hadoop.io.serializer.Deserializer<byte[]>`
      Throws:
        `java.io.IOException`

    - #### deserialize

          public byte[] deserialize(byte[] existing)
                             throws java.io.IOException

      Specified by:
        `deserialize` in interface `org.apache.hadoop.io.serializer.Deserializer<byte[]>`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `org.apache.hadoop.io.serializer.Deserializer<byte[]>`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.